Cannot install HP Officejet 6600

Questions about hardware and drivers
Forum rules
Before you post please read this

Cannot install HP Officejet 6600

Postby CitrusRain on Wed Apr 17, 2013 1:34 pm

Hello,

My mom bought a new wireless printer, and when I tried to install it to her LMDE based laptop, it installed, but does not work.
I used this: http://hplipopensource.com/hplip-web/in ... index.html

There was a lack of LMDE as a selection, and I could not remember how to tell what version the non -DE equivalent was or what version of Debian, so I just picked the most recent version of Linux Mint.

I get an error message after I installed the drivers and connect the printer "No printer driver for HP Officejet 6600"

I don't think I have given enough information, but I'm not sure what else to say.
CitrusRain
Level 1
Level 1
 
Posts: 3
Joined: Wed Apr 17, 2013 1:24 pm

Linux Mint is funded by ads and donations.
 

Re: Cannot install HP Officejet 6600

Postby Spinnekop on Wed Apr 17, 2013 2:13 pm

run hp-check to see if the correct hp software is installed.

if not it will/should tell you to run hp-check --fix (I think)

then try hp-setup -i 192.168.1.68 (with the correct ip address of your printer)
User avatar
Spinnekop
Level 2
Level 2
 
Posts: 61
Joined: Thu Jan 10, 2013 12:22 pm
Location: East Molesey, Surrey, UK

Re: Cannot install HP Officejet 6600

Postby Monsta on Wed Apr 17, 2013 2:31 pm

CitrusRain wrote:There was a lack of LMDE as a selection, and I could not remember how to tell what version the non -DE equivalent was or what version of Debian

Currently it's Debian Wheezy. That's until Wheezy gets released, after that it will be Jessie because LMDE is based on the current Debian Testing.

CitrusRain wrote:so I just picked the most recent version of Linux Mint.

That's where mistake probably is, as "the most recent version" is Ubuntu-based.

Well, I'd suggest installing hplip from the repository first (I think it should support your printer; see the minimum required version here). Unfortunately, now you'll first have to find a way to uninstall this version you've installed to avoid any conflicts. :)
Monsta
Level 8
Level 8
 
Posts: 2486
Joined: Fri Aug 19, 2011 3:46 am

Re: Cannot install HP Officejet 6600

Postby CitrusRain on Wed Apr 17, 2013 3:30 pm

Monsta wrote:Well, I'd suggest installing hplip from the repository first (I think it should support your printer; see the minimum required version here). Unfortunately, now you'll first have to find a way to uninstall this version you've installed to avoid any conflicts. :)


I think I did remove it completely, and I even hit remove and install in the terminal script. But it still does not work... wirelessly.
I just figured out that it is working with a wired connection. Otherwise, it cannot find the printer.
CitrusRain
Level 1
Level 1
 
Posts: 3
Joined: Wed Apr 17, 2013 1:24 pm

Re: Cannot install HP Officejet 6600

Postby Monsta on Wed Apr 17, 2013 4:20 pm

If you removed it, you can now try the version from the repository and see if it works.
Monsta
Level 8
Level 8
 
Posts: 2486
Joined: Fri Aug 19, 2011 3:46 am

Re: Cannot install HP Officejet 6600

Postby CitrusRain on Wed Apr 17, 2013 5:08 pm

Monsta wrote:If you removed it, you can now try the version from the repository and see if it works.


Well, I don't know how to remove it other than with the "remove and reinstall" option, and my mom doesn't seem to care anymore. She says she'll just plug it in.
CitrusRain
Level 1
Level 1
 
Posts: 3
Joined: Wed Apr 17, 2013 1:24 pm

Re: Cannot install HP Officejet 6600

Postby Spinnekop on Wed Apr 17, 2013 5:12 pm

There is apparently a problem with hplip that it can set up a wireless printer with a usb cable but doesn't work wirelessly.

I had the same problem and the solution I posted above worked for me - I got is from a gentoo forum

Spinnekop
User avatar
Spinnekop
Level 2
Level 2
 
Posts: 61
Joined: Thu Jan 10, 2013 12:22 pm
Location: East Molesey, Surrey, UK

Linux Mint is funded by ads and donations.
 

Return to Hardware Support

Who is online

Users browsing this forum: No registered users and 4 guests